Last Comment Bug 1208776 - Incorrect math rendering with old OpenType fonts after bug 1170782
: Incorrect math rendering with old OpenType fonts after bug 1170782
Status: NEW
:
Product: Core
Classification: Components
Component: MathML (show other bugs)
: 43 Branch
: x86_64 Linux
-- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
: 1211130 1220465 1235757 1290138 1346633 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 13:06 PDT by Markus Popp
Modified: 2017-03-12 14:44 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Math formula display issue (2.35 KB, image/png)
2015-09-26 13:06 PDT, Markus Popp
no flags Details
ascent-descent.html (1.18 KB, text/html)
2015-09-26 13:48 PDT, Frédéric Wang (:fredw)
no flags Details

User Story
After bug 1170782, we only use the typo metrics when the USE_TYPO_METRICS bit is explicitly set (http://www.microsoft.com/typography/otspec/os2.htm#fss). This is not the case in some old versions of math fonts, causing excessive line spacing. Users and packagers must upgrade to the latest version.

Latin Modern Math:

Debian: Fixed in testing (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799731)
Ubuntu: Fixed in Xenial Xerus (https://bugs.launchpad.net/ubuntu/+source/lmodern/+bug/1502701)
Fedora: Fixed in version 24
openSuse: https://bugzilla.opensuse.org/show_bug.cgi?id=948624      
Description User image Markus Popp 2015-09-26 13:06:51 PDT
Created attachment 8666391 [details]
Math formula display issue

The square root sign is much too high in Firefox 43+ as you can see at

http://jsfiddle.net/mpopp75/6d7dju8q/

Also the denominator of the fraction is too high so maybe the problem lays in displacing fractions.
Comment 1 User image Frédéric Wang (:fredw) 2015-09-26 13:15:10 PDT
Are you able to tell which math font you use?

I suspect this is https://bugzilla.mozilla.org/show_bug.cgi?id=1170782 ; some old versions do not have the USE_TYPO_METRICS flag properly set.
Comment 2 User image Markus Popp 2015-09-26 13:25:17 PDT
I haven't set a font so it must be what Firefox (on Linux64) uses by default.
Comment 3 User image Frédéric Wang (:fredw) 2015-09-26 13:48:29 PDT
Created attachment 8666399 [details]
ascent-descent.html

Default fonts are at https://dxr.mozilla.org/mozilla-central/source/modules/libpref/init/all.js#1929

What do you get with this testcase?

(You can also use the inspector on the <math> tag to check the font-family)
Comment 4 User image Markus Popp 2015-09-26 20:55:31 PDT
The font I used is Latin Modern Math.

Other fonts (at least some) display nicely, like for example DejaVu Sans.
Comment 5 User image Frédéric Wang (:fredw) 2015-09-26 22:52:21 PDT
The latest version (1.959) should not have the bug: http://www.gust.org.pl/projects/e-foundry/lm-math/download/index_html

Some Linux distros (e.g. Debian) still have an old version: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799731
Comment 6 User image Frédéric Wang (:fredw) 2015-10-02 11:50:05 PDT
(In reply to Frédéric Wang (:fredw) from comment #5)
> Some Linux distros (e.g. Debian) still have an old version:
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799731

The bug just got closed in Debian sid today, so hopefully it will be the cases in other Debian-based distributions such as Ubuntu and Mint. Apparently, the latest build for Fedora 24 also have version 1.959 (http://koji.fedoraproject.org/koji/rpminfo?rpmID=6858749). I open an enhancement request in openSuse.
Comment 7 User image George Bateman 2015-10-04 06:44:47 PDT
*** Bug 1211130 has been marked as a duplicate of this bug. ***
Comment 8 User image Frédéric Wang (:fredw) 2015-11-01 08:32:00 PST
*** Bug 1220465 has been marked as a duplicate of this bug. ***
Comment 9 User image Adrian Neumann 2015-12-30 05:13:48 PST
*** Bug 1235757 has been marked as a duplicate of this bug. ***
Comment 10 User image Frédéric Wang (:fredw) 2016-07-29 06:54:48 PDT
*** Bug 1290138 has been marked as a duplicate of this bug. ***
Comment 11 User image Frédéric Wang (:fredw) 2017-03-12 14:44:13 PDT
*** Bug 1346633 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.